Branch.Init = function()
	if ProductID() == "StepMania 5 TE" then
		return "ScreenPreview1"
	else
		return "ScreenIncompatible"
	end
end

Branch.PostStyle = function() return "ScreenProfileLoad" end

Branch.PostProfileLoad = function()
	-- for now, go straight to selmusic, don't pass go, don't collect C200
	return "ScreenSelectMusic"

	--return "ScreenSelectPlayMode"
end

Branch.GameStart = function()
	if ThemePrefs.Get("AutoSetStyle") == false then
		return "ScreenSelectStyle"
	else
		return "ScreenSelectNumPlayers"
	end
end

Branch.AfterGameplay = function()
	local numPlayers = GAMESTATE:GetNumPlayersEnabled()
	if numPlayers == 1 then return "ScreenEvaluation1P"
	elseif numPlayers == 2 then return "ScreenEvaluation2P"
	end

	-- fallback omg wtf are you do!
	return "ScreenEvaluationNormal"
end